Secunia CSI7
Advisories
Research
Forums
Create Profile
Our Commitment
PSI
PSI API
CSI
OSI
xSI
Vulnerabilities
Programs
Open Discussions
My Threads
Create Thread
Statistics
About

Forum Thread: FlexNet Publisher 11.x Update: AND is program necessary?

You are currently viewing a forum thread in the Secunia Community Forum. Please note that opinions expressed here are not of Secunia but solely reflect those of the user who wrote it.

This thread was submitted in the following forum:
Programs

Relating to this vendor:
Flexera Software
And, this specific program:
FlexNet Publisher 11.x

This thread has been marked as locked.
ralphgold FlexNet Publisher 11.x Update: AND is program necessary?
Member 31st Mar, 2012 00:18
Ranking: 0
Posts: 4
User Since: 20th Dec, 2008
System Score: N/A
Location: US
Last edited on 31st Mar, 2012 00:19

Secunia 3.30.12
Gentlemen:
I have just received an advisory from Secunia that FlexNet Publisher 11.x is insecure.
My version is v11.10.0.2; located in:
C:\Program Files\FLEXnet Publisher License Server Manager\Imadmin.exe.
I used the “Install Solution” from the Scan Results screen of PSI 2.0.
After attempting to install this patch, I received the following message:

“Error: could not find Java SE Runtime Environment”

I rescanned the program and got the same advisory from Secunia.
I also went thru all the forums and could not find a solution.

I have the following Adobe products on my computer:
1. Adobe Acrobat 8 Std v8.3.1
2. “ AIR
3. “ Flash Player ActiveX
4. “ ” “ 11 Plugin
5. “ Reader X (10.1.2)

The only “Paid For” program is Adobe Acrobat 8 Std v8.3.1.

Do I really need FlexNet Publisher on my computer?

Sincerely,

Ralphgold

Win XP-Pro; SP3
Dell 690
Intel Xeon CPU X5365
Firefox 11.0
4GB Ram

Anthony Wells RE: FlexNet Publisher 11.x Update: AND is program necessary?
Expert Contributor 31st Mar, 2012 00:44
Score: 2434
Posts: 3,317
User Since: 19th Dec 2007
System Score: N/A
Location: N/A

Hi ,

A bit late for me to get involved , but this (or a similar) problem has arisen before ; if you click the blue FlexNet link on the rhs above this thread heading , you go here :-

http://secunia.com/community/forum/?forum=2&vendor...

Maybe something here/there to help you .

Take care

Anthony

--


It always seems impossible until its done.
Nelson Mandela
Was this reply relevant?
+0
-0
Maurice Joyce RE: FlexNet Publisher 11.x Update: AND is program necessary?
Handling Contributor 31st Mar, 2012 09:06
Score: 11629
Posts: 8,916
User Since: 4th Jan 2009
System Score: N/A
Location: UK
This is the background to FlexNet.

http://en.wikipedia.org/wiki/Flexnet

It almost certainly services Adobe Acrobat 8 Std v8.3.1 therefore it would be unwise to remove it.

It looks like U do not have JAVA installed? It is part written in JAVA hence it is looking for that programme to update itself.

To successfuly install the update it looks like U require JAVA from here:

http://java.com/en/download/index.jsp

It is appreciated that many do not want JAVA on a working platform due to its appalling security record. If U are one of those U could try this:


RENAMING A FILE OR FOLDER USING PSI VERSION 2

1. Open PSI>Scan results.

2. Against the programme marked as vulnerable is a + sign to the left of it.

3. Click that & it will reveal DETECTED INSTANCES.

4. Below that are two yellow folders. Click the one WITHOUT a red dot.

5. That will open Windows Explorer & U will be able to see the vulnerable file or folder.
C:\Program Files\FLEXnet Publisher License Server Manager\Imadmin.exe

6. Right click on it & select RENAME then rename the file C:\Program Files\FLEXnet Publisher License Server Manager\Imadmin.exe-OLD

7. Carry out a full PSI scan & all should be in order.

If there are problems running ADOBE products after this action U can simply reverse the renaming action.

Update 2 07:59 31/03/2012




--
Maurice

Windows 7 SP1 64 Bit OS
HP Intel Pentium i7
IE 11 for Windows 7 SP1
16GB RAM
Was this reply relevant?
+4
-0
Maurice Joyce RE: FlexNet Publisher 11.x Update: AND is program necessary?
Handling Contributor 6th Apr, 2012 19:55
Score: 11629
Posts: 8,916
User Since: 4th Jan 2009
System Score: N/A
Location: UK
Last edited on 9th Apr, 2012 10:26
From the relevancy score it looks like U are all fixed up?

On that basis, I will lock this thread for U sometime tomorrow unless U post back asking for it to be left open.

This will protect your mail box from possible update emails from Forum "tag on" posts

You can of course lock your own threads yourself. Just click the ACCEPT button in the post of the helper who offered U the best solution/advice to solve your problem.

Secunia Support can always reopen threads by applying by email to: support@secunia.com

EDIT: Thread locked at: 09:25 09/04/2012



--
Maurice

Windows 7 SP1 64 Bit OS
HP Intel Pentium i7
IE 11 for Windows 7 SP1
16GB RAM
Was this reply relevant?
+1
-0

This thread has been marked as locked.


 Products Solutions Customers Partner Resources Company
 
 Corporate
Vulnerability Intelligence Manager (VIM)
Corporate Software Inspector (CSI)
Consumer
Personal Software Inspector (PSI)
Online Software Inspector (OSI)
 Industry
Compliance
Technology
Integration
 Customers
Testimonials
 VARS
MSSP
Technology Partners
References
 Reports
Webinars
Events
 About us
Careers
Memberships
Newsroom


 
© 2002-2014 Secunia ApS - Rued Langgaards Vej 8, 4th floor, DK-2300 Copenhagen, Denmark - +45 7020 5144
Terms & Conditions and Copyright - Privacy - Report Vulnerability